| AAX SDK 2.8.0 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions | Public Attributes
AAX_CTask Class Reference

`#include <AAX_CTask.h>`

Inheritance diagram for AAX_CTask:
[legend]
Collaboration diagram for AAX_CTask:
[legend]

## Public Member Functions
| ACF_DECLARE_STANDARD_UNKNOWN () ACFMETHOD(InternalQueryInterface)(const acfIID &riid
| AAX_DELETE (AAX_CTask &operator=(const AAX_CTask &))
| AAX_CTask (AAX_CTypeID iType)
| AAX_DEFAULT_DTOR_OVERRIDE (AAX_CTask)
AAX_Result | GetType (AAX_CTypeID *oType) const AAX_OVERRIDE
AAX_IACFDataBuffer const * | GetArgumentOfType (AAX_CTypeID iType) const AAX_OVERRIDE
AAX_Result | SetProgress (float iProgress) AAX_OVERRIDE
float | GetProgress () const AAX_OVERRIDE
AAX_Result | AddResult (AAX_IACFDataBuffer const *iResult) AAX_OVERRIDE
| Attach result data to this task.
AAX_Result | SetDone (AAX_TaskCompletionStatus iStatus) AAX_OVERRIDE
| Inform the host that the task is completed.
AAX_TaskCompletionStatus | Status () const
virtual AAX_Result | GetType (AAX_CTypeID *oType) const =0
virtual AAX_IACFDataBuffer const * | GetArgumentOfType (AAX_CTypeID iType) const =0
virtual AAX_Result | SetProgress (float iProgress)=0
virtual float | GetProgress () const =0
virtual AAX_Result | AddResult (AAX_IACFDataBuffer const *iResult)=0
| Attach result data to this task.
virtual AAX_Result | SetDone (AAX_TaskCompletionStatus iStatus)=0
| Inform the host that the task is completed.
Public Member Functions inherited from IACFUnknown
virtual BEGIN_ACFINTERFACE ACFRESULT ACFMETHODCALLTYPE | QueryInterface (const acfIID &iid, void **ppOut)=0
| Returns pointers to supported interfaces.
virtual acfUInt32 ACFMETHODCALLTYPE | AddRef (void)=0
| Increments reference count.
virtual acfUInt32 ACFMETHODCALLTYPE | Release (void)=0
| Decrements reference count.

## Public Attributes
void **ppvObjOut | AAX_OVERRIDE

## Constructor & Destructor Documentation

## ◆ AAX_CTask()

AAX_CTask::AAX_CTask | ( | AAX_CTypeID | iType | ) |
| explicit

## Member Function Documentation

## ◆ ACF_DECLARE_STANDARD_UNKNOWN()

AAX_CTask::ACF_DECLARE_STANDARD_UNKNOWN | ( |  | ) | const &

## ◆ AAX_DELETE()

AAX_CTask::AAX_DELETE | ( | AAX_CTask & | operator = `(const AAX_CTask &)` | ) |

## ◆ AAX_DEFAULT_DTOR_OVERRIDE()

AAX_CTask::AAX_DEFAULT_DTOR_OVERRIDE | ( | AAX_CTask |  | ) |

## ◆ GetType()

AAX_Result AAX_CTask::GetType | ( | AAX_CTypeID * | oType | ) | const
| virtual

An identifier defining the type of the requested task

Parameters

  [out] | oType | The type of this task request

Implements AAX_IACFTask.

## ◆ GetArgumentOfType()

AAX_IACFDataBuffer const * AAX_CTask::GetArgumentOfType | ( | AAX_CTypeID | iType | ) | const
| virtual

Additional information defining the request, depending on the task type

Parameters

  [in] | iType | The type of argument requested. Possible argument types, if any, and the resulting data buffer format must be defined per task type.

Returns
  The requested argument data, or nullptr. This data buffer's type ID is expected to match `iType` . The caller takes ownership of this object.

Implements AAX_IACFTask.

## ◆ SetProgress()

AAX_Result AAX_CTask::SetProgress | ( | float | iProgress | ) |
| virtual

Inform the host about the current status of the task

Parameters

  [in] | iProgress | A value between 0 (no progress) and 1 (complete)

Implements AAX_IACFTask.

## ◆ GetProgress()

float AAX_CTask::GetProgress | ( |  | ) | const
| virtual

Returns the current progress

Implements AAX_IACFTask.

## ◆ AddResult()

AAX_Result AAX_CTask::AddResult | ( | AAX_IACFDataBuffer const * | iResult | ) |
| virtual

Attach result data to this task.

This can be called multiple times to add multiple types of results to a single task.

The host may process the result data immediately or may wait for the task to complete.

The plug-in is expected to release the data buffer upon making this call. At a minimum, the data buffer must not be changed after this call is made. See `ACFPtr::inArg()`

Parameters

  [in] | iResult | A buffer containing the result data. Expected result types, if any, and their data buffer format must be defined per task type.

Implements AAX_IACFTask.

## ◆ SetDone()

AAX_Result AAX_CTask::SetDone | ( | AAX_TaskCompletionStatus | iStatus | ) |
| virtual

Inform the host that the task is completed.

If AAX_SUCCESS is returned, the object should be considered invalid and released by the caller.

Parameters

  [in] | iStatus | The final status of the task. This indicates to the host whether or not the task was performed as requested.

Implements AAX_IACFTask.

## ◆ Status()

AAX_TaskCompletionStatus AAX_CTask::Status | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ AAX_OVERRIDE

void** ppvObjOut AAX_CTask::AAX_OVERRIDE

The documentation for this class was generated from the following file:

- AAX_CTask.h